package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedDissatisfiedProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   不满意因素-项目数据层
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedDissatisfiedProjectMapper extends Mapper<SatisfiedDissatisfiedProject> {

    Long selectListDataToble(SatisfiedDissatisfiedProject satisfiedDissatisfiedProject);

    List<SatisfiedDissatisfiedProject> queryPageList(SatisfiedDissatisfiedProject satisfiedDissatisfiedProject);

    List<SatisfiedDissatisfiedProject> listBiao();

    List<SatisfiedDissatisfiedProject> getrevenue(@Param("startTime") String startTime, @Param("endTime") String endTime);

    int insertPL(@Param("orListIn") List<SatisfiedDissatisfiedProject> orListIn);

    List<String> niancha();

    int updateDelete();
}
